Subject: bug#69118: 30.0.50; Crash X server by enlarging the face

From: Po Lu <[email-masked]>
Date: Thu, 15 Feb 2024 09:42:20 +0800

Jean Louis <[email-masked]> writes:

> I am using following face:
>
> Hide Default face: [sample]
>     State : STANDARD.
>    Basic default face.
>    [X] Font Family: DejaVu Sans Mono
>    [X] Font Foundry: PfEd
>    [X] Width: Value Menu normal
>    [X] Height: Value Menu Font size in 1/10 pt: 108
>    [X] Weight: Value Menu regular
>    [X] Slant: Value Menu normal
>    [X] Underline: Value Menu Off
>    [X] Overline: Value Menu Off
>    [X] Strike-through: Value Menu Off
>    [X] Box around text: Value Menu Off
>    [X] Inverse-video: Value Menu Off
>    [X] Foreground: #303030         Choose   (sample)
>    [X] Background: #ffffff         Choose   (sample)
>    [X] Stipple: Value Menu None
>    [X] Extend: Value Menu Off
>    [X] Inherit:
>
> When I go to *Scratch* buffer, I can do C-x + to enlarge the face, and
> if I go to larger face, at certain point the X server crashes. Emacs
> remains in memory.
>
> But because X server crashes, I cannot do again `$ startx'. What I do is
> I open `emacsclient' in console and kill *Scratch* buffer, then I can go
> again to `startx'. Emacs does not crash.

All X server crashes should be reported to the distributor of the
crashing X server, not us.  No requests issued by clients should ever
crash the X server, and in general those which do are perfectly
legitimate from a client's perspective.